.catalog-category__empty {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: var(--spacing-xl) 0;
}

.catalog-category__toolbar {
  background-color: var(--color-surface);
  border-radius: var(--radius-sm);
  box-shadow: var(--shadow-xs);
  margin-bottom: var(--spacing-lg);
}

.catalog-category__technical-subcategories {
  --subcategories-link-background-color: var(--color-material-grey-200);
  --subcategories-link-color: var(--color-text);
  --subcategories-toggle-background-color: var(--color-material-grey-300);
  --subcategories-toggle-color: var(--color-text);

  padding: var(--spacing-sm);
  border-bottom: 1px solid var(--color-border-light);
}

.catalog-category__subcategories {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: var(--spacing-sm);
  margin-bottom: var(--spacing-lg);
}

@media (min-width: 768px) {
  .catalog-category__subcategories {
    grid-template-columns: repeat(4, 1fr);
  }
}

@media (min-width: 1200px) {
  .catalog-category__subcategories {
    grid-template-columns: repeat(6, 1fr);
  }
}

.catalog-category__items {
  display: grid;
  grid-gap: var(--spacing-sm);
  grid-template-columns: repeat(2, 1fr);
}

.catalog-category__toolbar-inner {
  padding: 0 var(--spacing-md);
  display: flex;
  flex-direction: column;
}

.catalog-category__toolbar-right {
  display: flex;
  align-items: center;
}

.catalog-category__mobile-actions {
  align-self: center;
  display: flex;
  align-items: center;
  margin-left: var(--spacing-sm);
}

.catalog-category__pager {
  margin-top: var(--spacing-lg);
}

.catalog-category__description {
  font: var(--typography-body-small);
  margin-top: var(--spacing-md);
}

.catalog-category__description-top {
  background-color: var(--color-surface);
  border-radius: var(--radius-sm);
  box-shadow: var(--shadow-xs);
  margin-bottom: var(--spacing-lg);
  padding: var(--spacing-md);
}

.catalog-category__description-top-inner > * {
  margin: var(--p-margin--y) 0;
}

.catalog-category__description-top-inner > :first-child {
  margin-top: 0;
}

.catalog-category__description-top-inner > :last-child {
  margin-bottom: 0;
}

.catalog-category__description-bottom > * {
  margin: var(--p-margin--y) 0;
}

@media (min-width: 425px) {
  .catalog-category__items {
    grid-gap: var(--spacing-md);
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (min-width: 768px) {
  .catalog-category__items {
    grid-template-columns: repeat(3, 1fr);
  }

  .catalog-category__toolbar-inner {
    flex-direction: row;
    height: 2.5rem;
  }

  .catalog-category__toolbar-right {
    margin-left: auto;
  }
}

.catalog-category__sidebar {
  display: none;
}

@media (min-width: 1024px) {
  .catalog-category__mobile-actions {
    display: none;
  }

  .catalog-category__layout--with-sidebar {
    display: grid;
    grid-template-columns: 240px 1fr;
    grid-gap: var(--spacing-lg);
  }

  .catalog-category__sidebar {
    display: block;
    align-self: start;
    background-color: var(--color-surface);
    box-shadow: var(--shadow-xs);
    border-radius: var(--radius-md);
    padding: var(--spacing-md);
  }
}

@media (min-width: 1440px) {
  .catalog-category__items {
    grid-template-columns: repeat(5, 1fr);
  }
}
